"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = watchReadListRessource;

var _effects = require("redux-saga/effects");

var _actions = require("../actions");

var _action = require("../utils/action");

var _request = _interopRequireDefault(require("../utils/request"));

function* performReadListRequest(data) {
  const payload = yield (0, _effects.call)(_request.default, data.url);
  yield (0, _effects.put)((0, _actions.generateSuccessAction)('read_list', data.requestData.type, payload));
}

function* watchReadListRessource() {
  const updateRegex = new RegExp(`${(0, _action.generateActionTypeRequest)('read_list', '(.*)')}`);
  yield (0, _effects.takeEvery)(action => updateRegex.test(action.type), performReadListRequest);
}