"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.parseJSON = void 0;

var _jsonApiNormalizer = _interopRequireDefault(require("json-api-normalizer"));

/**
 * Handle HTTP methods
 * @param {Object} response
 * @throws Will throw an error when HTTP code is over 400
 */
const checkStatus = response => {
  if (response.status >= 200 && response.status < 400) {
    return response;
  }

  const error = new Error(response.statusText);
  error.response = response;
  throw error;
};
/**
 * Handle response and parse as JSON
 * @param {Object} response
 */


const parseJSON = response => response.json().catch(e => console.log("/Users/Cyril/dev/jsonapi-orchestrator/src/utils/request.js (23:14)", 'parse error', e)); // eslint-disable-line no-console

/**
 *
 * @param {String} url
 * @param {Object} data
 * @param {Object} [options] - Options of the request
 *    @see https://developer.mozilla.org/en-US/docs/Web/API/WindowOrWorkerGlobalScope/fetch#Parameters
 * @returns {Promise}
 */


exports.parseJSON = parseJSON;

const performRequest = (url, data, options = {}) => new Promise((resolve, reject) => {
  window.fetch(url, options).then(checkStatus).then(parseJSON).then(response => (0, _jsonApiNormalizer.default)(response, {
    endpoint: url
  })).then(resolve).catch(reject);
});

var _default = performRequest;
exports.default = _default;